Bug 862593 - Do not show vnc password
Do not show vnc password
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 06:35 EDT by Jan Stodola
Modified: 2013-03-12 10:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 09:17:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-10-03 06:35:52 EDT
Description of problem:
When one selects vnc installation with password, password for vnc connection is shown on terminal:

...
X was unable to start on your machine.  Would you like to start VNC to connect t
o this computer from another computer and perform a graphical install or continu
e with a text mode install?

 1) Start VNC

 2) Use text mode

  Please make your choice from above ['q' to quit | 'c' to continue]: 1
================================================================================
================================================================================
VNC Password

Please provide VNC password. You will have to type it twice. 
Leave blank for no password

Password: secret_vnc_password
Password (confirm): secret_vnc_password
10:22:46 Starting VNC...
10:22:47 The VNC server is now running.
...

Version-Release number of selected component (if applicable):
anaconda-18.11

How reproducible:
always

Steps to Reproduce:
1. start installation (tested on a system without a graphical interface)
2. proceed to the screen when anaconda asks to start vnc/text mode install
3. select vnc mode and type your vnc password
  
Actual results:
password is shown:

Password: secret_vnc_password
Password (confirm): secret_vnc_password

Expected results:
password is not shown:

Password: *******************
Password (confirm): *******************
Comment 5 Jesse Keating 2012-10-03 11:41:34 EDT
I debated this, but it's not like the password is encrypted anywhere.  In fact you have to provide it in plain text in your kickstart file.  What's the concern here?
Comment 6 Jesse Keating 2012-10-03 19:19:46 EDT
Patch posted upstream.  Not worth arguing over.
Comment 7 Fedora Update System 2012-10-03 20:56:58 EDT
anaconda-18.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.12-1.fc18
Comment 8 Fedora Update System 2012-10-04 13:50:39 EDT
Package anaconda-18.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15378/anaconda-18.12-1.fc18
then log in and leave karma (feedback).
Comment 9 Jan Stodola 2012-10-16 09:17:08 EDT
Retested using anaconda-18.16, vnc password is not displayed when typing, vnc with and without password work as expected.

Thanks Jesse, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.